%define major 4
%define libname %mklibname %{name}-isl %{major}
%define devname %mklibname -d %{name}-isl

Summary:	The Chunky Loop Generator
Name:		cloog
Version:	0.18.2
Release:	1
Group:		System/Libraries
License:	GPLv2+
Url:		http://www.cloog.org
Source0:	http://www.bastoul.net/cloog/pages/download/%{name}-%{version}.tar.gz
# Taken from cloog-0.18.1 -- gone missing in 0.18.2, but back in upstream git
Source1:	isl-config.cmake
Source2:	cloog-isl-config.cmake
Patch0:		cloog-0.18.2-isl-0.13.patch
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(isl)

%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.

%files
%{_bindir}/cloog

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Integer Set Library backend (isl) based version of the CLooG binaries
Group:		Development/C
Obsoletes:	%{_lib}cloog4 < 0.18.0-2

%description -n %{libname}
The dynamic shared libraries of the Chunky Loop Generator.

%files -n %{libname}
%{_libdir}/libcloog-isl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for the isl based version of Chunky Loop Generator
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}cloog-devel < 0.18.0-2

%description -n %{devname}
The header files and .so link of the Chunky Loop Generator.

%files -n %{devname}
%{_includedir}/cloog
%{_libdir}/libcloog-isl.so
%{_libdir}/pkgconfig/cloog-isl.pc
%{_libdir}/isl
%{_libdir}/cloog-isl

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
# Restore missing bits from 0.18.1
mkdir cmake
install -c -m 644 %{SOURCE1} %{SOURCE2} cmake/
#autoreconf -fi

%build
%configure2_5x \
	--disable-static \
	--with-isl=system \
	--with-bits=gmp

%make

%install
%makeinstall_std


%changelog
* Tue Sep 09 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.18.2-1
+ Revision: 0006383
- Updated to 0.18.2 (based on what is done in OMV)


